Bug 175447 - editors/hexedit dead mirror, patch with new one
Summary: editors/hexedit dead mirror, patch with new one
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-20 08:10 UTC by sean
Modified: 2013-06-07 00:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sean 2013-01-20 08:10:00 UTC
    Out of date mirrors for editors/hexedit

    I attempted to contact the maintainer, but have not heard back. If the port is abandoned could I be added to the list of maintainers on it? I will make sure to keep it up to date and people can contact me about issues

Fix: Apply the attached svn diff

--vtzGhvizbBRQ85DL
Content-Type: text/x-diff; charset=us-ascii
Content-Disposition: attachment; filename="hexedit.diff"



--vtzGhvizbBRQ85DL----eF9flhVqzTAtfV6zDQ6n646lI3t7PDDginHE07KQpu7UieRC
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: editors/hexedit/Makefile
===================================================================
--- editors/hexedit/Makefile	(revision 310667)
+++ editors/hexedit/Makefile	(working copy)
@@ -9,9 +9,8 @@
 PORTNAME=	hexedit
 PORTVERSION=	1.2.12
 CATEGORIES=	editors
-MASTER_SITES=	http://people.mandriva.com/~prigaux/ \
-		${MASTER_SITE_LOCAL:S/$/:local/}
-MASTER_SITE_SUBDIR=	obrien/:local
+MASTER_SITES=	http://rigaux.org/
+
 DISTFILES=	${DISTNAME}.src.tgz:DEFAULT,local
 
 MAINTAINER=	obrien@FreeBSD.org
How-To-Repeat:     When you attempt to build editors/hexedit you will just continuously poll the current HTTP servers
Comment 1 Edwin Groothuis freebsd_committer 2013-01-20 08:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->obrien

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 William Grzybowski freebsd_committer 2013-06-06 23:35:09 UTC
Responsible Changed
From-To: obrien->wg

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-06-06 23:50:03 UTC
Author: wg
Date: Thu Jun  6 22:49:51 2013
New Revision: 320142
URL: http://svnweb.freebsd.org/changeset/ports/320142

Log:
  - Update to 1.2.13 [1]
  - Add LICENSE (GPLv2) [1]
  - Fix MASTER_SITES [2]
  - Update WWW to new site
  - Unmute install commands
  
  PR:		ports/178462 [1]
  Submitted by:	Oleg Ginzburg <olevole@olevole.ru> [1]
  PR:		ports/175447 [2]
  Submitted by:	Sean DuBois <sean@siobud.com> [2]
  Approved by:	culot / jpaetzel (mentors, implicit), maintainer (timeout)

Deleted:
  head/editors/hexedit/files/patch-hexedit.h
Modified:
  head/editors/hexedit/Makefile
  head/editors/hexedit/distinfo
  head/editors/hexedit/pkg-descr

Modified: head/editors/hexedit/Makefile
==============================================================================
--- head/editors/hexedit/Makefile	Thu Jun  6 22:31:15 2013	(r320141)
+++ head/editors/hexedit/Makefile	Thu Jun  6 22:49:51 2013	(r320142)
@@ -1,30 +1,26 @@
-# ex:ts=8
-# New ports collection makefile for:	hexedit
-# Date created:				5 August 1998
-# Whom:					Andrey Zakhvatov
-#
+# Created by: Andrey Zakhvatov
 # $FreeBSD$
-#
 
 PORTNAME=	hexedit
-PORTVERSION=	1.2.12
+PORTVERSION=	1.2.13
 CATEGORIES=	editors
-MASTER_SITES=	http://people.mandriva.com/~prigaux/ \
-		${MASTER_SITE_LOCAL:S/$/:local/}
-MASTER_SITE_SUBDIR=	obrien/:local
-DISTFILES=	${DISTNAME}.src.tgz:DEFAULT,local
+MASTER_SITES=	http://rigaux.org/
+DISTFILES=	${DISTNAME}.src.tgz
 
 MAINTAINER=	obrien@FreeBSD.org
 COMMENT=	View and edit files in hexadecimal or ASCII
 
+LICENSE=	GPLv2
+
 WRKSRC=		${WRKDIR}/${DISTNAME:S/-${PORTVERSION}//}
+
 GNU_CONFIGURE=	yes
 MAN1=		hexedit.1
 
 PLIST_FILES=	bin/hexedit
 
 do-install:
-	@ ${INSTALL_PROGRAM} ${WRKSRC}/hexedit ${PREFIX}/bin
-	@ ${INSTALL_MAN} ${WRKSRC}/hexedit.1 ${PREFIX}/man/man1
+	${INSTALL_PROGRAM} ${WRKSRC}/hexedit ${PREFIX}/bin
+	${INSTALL_MAN} ${WRKSRC}/hexedit.1 ${PREFIX}/man/man1
 
 .include <bsd.port.mk>

Modified: head/editors/hexedit/distinfo
==============================================================================
--- head/editors/hexedit/distinfo	Thu Jun  6 22:31:15 2013	(r320141)
+++ head/editors/hexedit/distinfo	Thu Jun  6 22:49:51 2013	(r320142)
@@ -1,2 +1,2 @@
-SHA256 (hexedit-1.2.12.src.tgz) = bcffbf3d128516cc4e1da64485866fbb5f62754f2af8327e7a527855186ba10f
-SIZE (hexedit-1.2.12.src.tgz) = 65802
+SHA256 (hexedit-1.2.13.src.tgz) = 6a126da30a77f5c0b08038aa7a881d910e3b65d13767fb54c58c983963b88dd7
+SIZE (hexedit-1.2.13.src.tgz) = 68778

Modified: head/editors/hexedit/pkg-descr
==============================================================================
--- head/editors/hexedit/pkg-descr	Thu Jun  6 22:31:15 2013	(r320141)
+++ head/editors/hexedit/pkg-descr	Thu Jun  6 22:49:51 2013	(r320142)
@@ -1,8 +1,8 @@
 Hexedit	view and edit files in hexadecimal or in ASCII.
-hexedit shows a file both in ASCII and in hexadecimal. 
-The file can be a device as the file is not whole read. 
+hexedit shows a file both in ASCII and in hexadecimal.
+The file can be a device as the file is not whole read.
 You can modify the file and search through it.
 You have also copy&paste, and save to file functions.
 Modifications are shown in bold.
 
-WWW: http://merd.sourceforge.net/pixel/
+WWW: http://rigaux.org/hexedit.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 William Grzybowski freebsd_committer 2013-06-06 23:50:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!